package com.sqx.modules.riderStation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.riderStation.controller.AdminRiderStationController;
import com.sqx.modules.riderStation.entity.RiderStation;
import com.sqx.modules.shop.entity.SearchHistory;

public interface RiderStationService extends IService<RiderStation> {

    Result saveStation(RiderStation riderStation);

    Result selectStationList(Integer page, Integer size);

    RiderStation stationById(Integer id);

    Result stationList();

    Result getRiderStationName(Integer userId);

    Result updateStation(RiderStation riderStation);

    Result removeStation(Integer id);
}
